Subject: Re: Running cygwin service via cygrunsrv under account without password in Win XP Pro - impossible?
From: Carlo Florendo <[email-masked]>
To: Vadym Voznyuk <[email-masked]>
Cc: [email-masked]
Date: Tue, 07 Jun 2005 14:18:56 +0800

Vadym Voznyuk wrote:

> ----- Original Message ----- From: "Andrew Schulman" <andrex@alumxxxxxx>

Uh, ummm.   Please   http://cygwin.com/acronyms/#PCYMTNQREAIYR

> To: <[email-masked]>
> Sent: Friday, June 03, 2005 8:31 AM
> Subject: Re: Running cygwin service via cygrunsrv under account without
> password in Win XP Pro - impossible?
>
>>> -w, --passwd <password>
>>>   Optional password for user. Only needed if a user is given. If a
>>> user has an empty password, enter `-w ' with no <password>.
>>> cygrunsrv -I svc_name -p /usr/bin/svc.exe -u foo -w ""
>>
>>
>> Isn't '-w ""' different from just '-w'?  In other words,
>> cygrunsrv.README is telling you to use no password, while you're giving
>> it an empty password, which is different.  I dunno, but it's worth a
>> try.
>
>
> No, that is correct syntax actually!
>
> Did you read the message from the Corinna himself? He solved it!

Just FYI, Corinna is a she :)

> There is a special local security policy setting in XP and 2K3, once I 
> set it properly - everything works beautifully.
>
>> Another option is to run the service as user SYSTEM.  This is what I do,
>> and I've never had any trouble.  But of course you're right to try to
>> run it under a lower-privilege account.
>
>
> Corinna rocks! 

Yes, she does :)

-- 
Carlo Florendo
Astra Philippines Inc.
www.astra.ph

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/